/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

#pragma once

#include "AR/ArSession.hpp"

// Define the class of the native AR session to be used
#define NATIVE_AR_SESSION_CLASS ArSessionNull

namespace OpenVulkano::AR
{
	struct ArSessionNull final
	{
		inline static const ArSessionCapabilities AR_CAPS_UNAVAILABLE;

		static std::shared_ptr<ArSession> Create(const ArSessionConfig& config)
		{
			return nullptr;
		}

		static bool IsAvailable()
		{
			return false;
		}

		static const ArSessionCapabilities& GetCapabilities()
		{
			return AR_CAPS_UNAVAILABLE;
		}
	};
}